package com.chuanxia.mcp.controller;

import com.chuanxia.mcp.bean.vo.Result;
import com.chuanxia.mcp.sched.M3U8Utils;
import io.swagger.annotations.Api;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Api("m3u8")
@RequestMapping("cdnM3U8")
@RequiredArgsConstructor
public class CdnM3u8Controller {
    private final M3U8Utils m3U8Utils;

    @GetMapping("test")
    public Result test(@RequestParam("url")String url,@RequestParam("videoId")String videoId) {
        String s = m3U8Utils.downloadM3U8(url, videoId);
        return Result.success(s);
    }
}
